﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class Page1 : ContentPage
    {
        private SfChart chart;
        private ObservableCollection<ChartDataPoint> LineData = new ObservableCollection<ChartDataPoint>();
        private ObservableCollection<ChartDataPoint> Data = new ObservableCollection<ChartDataPoint>();
        public Page1()
        {
            InitializeComponent();

            Data.Add(new ChartDataPoint(10, 24));
            Data.Add(new ChartDataPoint(20, 70));
            Data.Add(new ChartDataPoint(30, 48));
            Data.Add(new ChartDataPoint(40, 24));
            Data.Add(new ChartDataPoint(50, 64));
            Data.Add(new ChartDataPoint(60, 58));

            chart = new SfChart()
            {
                PrimaryAxis = new NumericalAxis(),

                SecondaryAxis = new NumericalAxis() { Minimum = 0, Maximum = 100 }
            };

            var areaSeries = new AreaSeries { ItemsSource = Data };
            chart.Series.Add(areaSeries);
            
            var lineSeries = new LineSeries { ItemsSource = LineData };
            
            lineSeries.StrokeWidth = 5;
            lineSeries.Color = Color.Blue;

            chart.Series.Add(lineSeries);

            LineData.Add(new ChartDataPoint(Data.Min(item => item.XValue), 50));
            LineData.Add(new ChartDataPoint(Data.Max(item => item.XValue), 50));

            Content = chart;
        }
    }
}